#include <ESP8266WiFi.h>
#include <ESPAsyncTCP.h>
#include <ESPAsyncWebServer.h>

#include "website.h"

const char* ssid = "FabReader";
AsyncWebServer server(80);

String template_index(const String& var)
{
    if(var == "STYLE")
    {   
        return String(WEBSITE_CSS);
    }
    else
    {
        return String();
    }
}

String template_saved(const String& var)
{
    if(var == "STYLE")
    {   
        return String(WEBSITE_CSS);
    }
    else
    {
        return String();
    }
}

void setup()
{
    Serial.begin(115200);
    Serial.print("\n\n\n");

    WiFi.mode(WIFI_AP);
    WiFi.softAP(ssid);

    server.on("/", HTTP_GET, [](AsyncWebServerRequest *request)
    {
        request->send_P(200, "text/html", WEBSITE_INDEX, template_index);
    });

    server.on("/update_config", HTTP_POST, [](AsyncWebServerRequest *request)
    {
        if(request->hasParam("wlan_ssid", true))
        {
            Serial.print("WLAN_SSID set\n");
        }
        request->send_P(200, "text/html", WEBSITE_SAVED, template_saved);
    });

    server.begin();
    Serial.print("Server started\n");
}

void loop()
{

}