#ifndef WEBSITE_H
#define WEBSITE_H
const char WEBSITE_INDEX[] = ""
    "<!DOCTYPE html>\n"
    "<html>\n"
    "<head>\n"
    "	<meta charset=\"utf-8\">\n"
    "	<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">\n"
    "	<title>FabReader</title>\n"
    "   <style>\n"
    "   %STYLE%\n"
    "	</style>\n"
    "</head>\n"
    "<body>\n"
    "	<div id=\"header\">\n"
    "		<!--<img id=\"header_logo\" src=\"/logo.svg\"/>-->\n"
    "		<h1 id=\"header_title\">FabReader</h1>\n"
    "	</div>\n"
    "	<h2 class=\"title\">Configuration</h2>\n"
    "	<form action=\"/update_config\" method=\"POST\" target=\"_self\">\n"
    "	    <h3 class=\"subtitle\">WLAN</h3>\n"
    "	    <div class=\"config\"><p class=\"config_title\">SSID: </p><input type=\"text\" name=\"wlan_ssid\" class=\"config_content\" value=\"%WLAN_SSID%\"/></div>\n"
    "	    <div class=\"config\"><p class=\"config_title\">PSK: </p><input type=\"password\" name=\"wlan_psk\" class=\"config_content\" value=\"%WLAN_PSK%\"/></div>\n"
    "		\n"
    "		<h3 class=\"subtitle\">MQTT</h3>\n"
    "	    <div class=\"config\"><p class=\"config_title\">Host: </p><input type=\"text\" name=\"mqtt_host\" class=\"config_content\" value=\"%MQTT_HOST%\"/></div>\n"
    "	    <div class=\"config\"><p class=\"config_title\">Port: </p><input type=\"number\" name=\"mqtt_port\" class=\"config_content\" value=\"%MQTT_PORT%\"/></div>\n"
    "		<div class=\"config\"><p class=\"config_title\">User: </p><input type=\"text\" name=\"mqtt_user\" class=\"config_content\" value=\"%MQTT_CREDENTIALS_USER%\"/></div>\n"
    "	    <div class=\"config\"><p class=\"config_title\">Password: </p><input type=\"password\" name=\"mqtt_password\" class=\"config_content\" value=\"%MQTT_CREDENTIALS_PASSWORD%\"/></div>\n"
    "	    \n"
    "    <h3 class=\"subtitle\">FabAccess</h3>\n"
    "      <div class=\"config\"><p class=\"config_title\">FabReaderID: </p><input type=\"number\" name=\"fabaccess_fabreaderid\" class=\"config_content\" value=\"%FABACCESS_FABREADERID%\"/></div>\n"
    "\n"
    "		<button id=\"update_button\" type=\"submit\">Update Configuration</button>\n"
    "	</form>\n"
    "</body>\n"
    "</html>";

const char* WEBSITE_CSS = ""
    "body\n"
    "{\n"
    "    float: none;\n"
    "    margin: 0px;\n"
    "    font-family: sans-serif\n"
    "}\n"
    "\n"
    "#header\n"
    "{\n"
    "    display: table;\n"
    "    background-color: #3c474d;\n"
    "    width: calc(100% - 20px);\n"
    "    padding: 10px;\n"
    "}\n"
    "\n"
    "#header_title\n"
    "{\n"
    "    display: table-cell;\n"
    "    vertical-align: middle;\n"
    "    color: #00d4aa;\n"
    "    text-align: start;\n"
    "    padding-right: 50px;\n"
    "    padding-left: 20px;\n"
    "}\n"
    "\n"
    "#header_logo\n"
    "{\n"
    "    display: table-cell;\n"
    "    height: 50px;\n"
    "    width: 50px;\n"
    "}\n"
    "\n"
    ".title\n"
    "{\n"
    "    padding-left: 10px;\n"
    "}\n"
    "\n"
    ".subtitle\n"
    "{\n"
    "    padding-left: 30px;\n"
    "    margin-bottom: 5px;\n"
    "\n"
    "    font-weight: lighter;\n"
    "}\n"
    "\n"
    ".config\n"
    "{\n"
    "    display: table;\n"
    "    padding-left: 40px;\n"
    "}\n"
    "\n"
    ".config_title\n"
    "{\n"
    "    display: table-cell;\n"
    "    min-width: 120px;\n"
    "}\n"
    "\n"
    ".config_content\n"
    "{\n"
    "    display: table-cell;\n"
    "    margin-left: 10px;\n"
    "    min-width: 150px;\n"
    "}\n"
    "\n"
    "#update_button\n"
    "{\n"
    "    margin-top: 20px;\n"
    "    margin-left: 30px;\n"
    "    font-weight: bold;\n"
    "    min-width: 300px;\n"
    "    min-height: 30px;\n"
    "}"
    ".download_link\n"
    "{\n"
    "   padding-left: 30px;\n"
    "}\n";

const char WEBSITE_SAVED[] = ""
    "<!DOCTYPE html>\n"
    "<html>\n"
    "<head>\n"
    "    <meta charset=\"utf-8\">\n"
    "    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">\n"
    "    <title>FabReader</title>\n"
    "    <style>\n"
    "    %STYLE%\n"
    "    </style>\n"
    "</head>\n"
    "<body>\n"
    "    <div id=\"header\">\n"
    "        <!--<img id=\"header_logo\" src=\"/logo.svg\"/>-->\n"
    "        <h1 id=\"header_title\">FabReader</h1>\n"
    "    </div>\n"
    "    <h2 class=\"title\">Updated</h2>\n"
    "    <p class=\"subtitle\">Configuration is updated.</p>\n"
    "    <p class=\"download_link\"><a href=\"/\">Go Back</a></p>\n"
    "    </body>\n"
    "</html>";
#endif